Bug 1741265 - Bare Metal Host power operation can be re-triggered
Summary: Bare Metal Host power operation can be re-triggered
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Metal3 Plugin
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.0
Assignee: Jiri Tomasek
QA Contact: Udi
URL:
Whiteboard:
Depends On: 1744560 1751978 1817988
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-14 15:58 UTC by Jiri Tomasek
Modified: 2020-03-27 11:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:05:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 2357 0 'None' closed Bug 1741265: Prevent re-triggering the host operation 2020-05-18 13:28:39 UTC
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:05:32 UTC

Description Jiri Tomasek 2019-08-14 15:58:59 UTC
Description of problem:
Power on/off operation is triggered by setting host.spec.online boolean. UI should not wait for host.status.poweredOn to get updated to disable the appropriate power operation:

online: true, poweredOn: true -> host is powered on, can be powered off
online: false, poweredOn: true -> host is powering off, can be powered on
online false, poweredOn: false -> host is powered off, can be powered on
online true, poweredOn: false -> host is powering on, can be powered off

Comment 10 errata-xmlrpc 2020-01-23 11:05:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.